Subject: Re: [arc] Replay attacks (was Re: ARC path header)

From: Wei Chuang <[email-masked]>
Date: Mon, 22 Nov 2021 15:21:49 -0800

I apologize I'm catching up on reading this draft now, but I think it would
be helpful to discuss.  Perhaps the DMARC list is the right forum for
this?  I'll move my comments on the draft over there.

-Wei

On Mon, Sep 20, 2021 at 10:32 PM Marc Bradshaw via Arc <[email-masked]> wrote:

> I believe that draft-vesely-dmarc-mlm-transform needs some work before it
> can be applied at scale. The intent is good, but there are some issues.
> However this isn't the forum to discuss those. The issue still remains, a
> large number of good forwarders will make modifications outside of those in
> that draft, but those may still be legitimate modifications.
>
> On Tue, 21 Sep 2021, at 3:48 AM, Alessandro Vesely via Arc wrote:
>
> On Thu 16/Sep/2021 14:12:24 +0200 Marc Bradshaw via Arc wrote:
> > A good forwarder can and will forward bad messages, this isn't about the
> > quality of mail, it is about whether or not we believe that an
> intermediary
> > which modifies messages makes only reasonable and legitimate
> modifications.
>
> For a limited set of modifications and author's signatures following
> DKIM's
> Recommended Signature Content, it is feasible to undo the modifications
> and
> check the original author's signature:
> https://datatracker.ietf.org/doc/html/draft-vesely-dmarc-mlm-transform
>
>
>
>
> --
>
>   Marc Bradshaw
>   marcbradshaw.net | @marcbradshaw <https://twitter.com/marcbradshaw>
>
>
> --
> Arc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/arc
>